-- ****************************************************************************
-- * Licensed Materials - Property of IBM
-- * 5724-T40 IBM License Metric Tool
-- * 5724-S94 IBM Tivoli Asset Discovery for Distributed
-- *
-- * (C) Copyright IBM Corp. 2013.  All Rights Reserved.
-- *
-- * US Government Users Restricted Rights - Use, duplication or
-- * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- ****************************************************************************

connect to tlma%

create procedure ADM.DROP_IF_EXISTS(in NAME char(100))
	begin
	declare STMT char(250);
	declare MSG char(20);
	
	declare continue handler for sqlstate '42704' set MSG = 'ok';
	
	set STMT = 'DROP ' concat NAME;
	prepare S1 from STMT;
	execute S1;
	end%

	
-- temporary aggregation table 'adm.temp_pre_inv_event' need to be droped if exists
-- before changes on AGENT table
call ADM.DROP_IF_EXISTS('table ADM.TEMP_PRE_INV_EVENT')%

alter table ADM.AGENT alter column OS_VERSION set data type varchar(100)%
alter table ADM.AGENT_DELETED alter column OS_VERSION set data type varchar(100)%

REORG TABLE ADM.AGENT%

UPDATE ADM.AGENT_HARDWARE_STATUS SET RESET_HW = 1
WHERE ID IN (SELECT ID FROM ADM.AGENT WHERE LCASE(OS_NAME) like 'linux%')%

drop procedure ADM.DROP_IF_EXISTS%

disconnect current%